[Touch-packages] [Bug 1827396] Re: package rsyslog 8.16.0-1ubuntu3.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1 Secure boot

2019-06-14 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users. ** Changed in: rsyslog (Ubuntu) Status: New => Confirmed -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to rsyslog in Ubuntu.

[Touch-packages] [Bug 1829566] Re: network-manager 1.10.14-0ubuntu2 ignores systemd-resolved configured dns

2019-06-14 Thread Mal
Here you are, Till. Three sections, one for each NM version containing the two dig requests during the tests, plus one for a dig to contact the local DNS explicitly. nm-1.10.6: $ dig dnsmasq.local.org.com | grep -FA1 ';; ANSWER' # first attempt always fails ;; ANSWER SECTION:

[Touch-packages] [Bug 1832110] Re: Resource Sharing with multiple sshd services

2019-06-14 Thread Luke A. Perkins
> Does that somehow mean that your problem doesn't occur if you use only the upstream source code and no distribution patches? If so, how? Good question. I have cloned the git version of OpenSSH for disco- proposed. When I compile this version of the code, the privilege separation directory is

[Touch-packages] [Bug 1832110] Re: Resource Sharing with multiple sshd services

2019-06-14 Thread Luke A. Perkins
This is a proposed patch of "disco-proposed" of the sshd.c file. I have uploaded the original and the diff version. ** Attachment added: "The proposed changed sshd.c file in its entirety." https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1832110/+attachment/5270820/+files/sshd.c --

[Touch-packages] [Bug 1832370] Re: Unable to configure or disable TLS 1.3 via openssl.cnf

2019-06-14 Thread Brian Murray
** Tags removed: rls-ee-incoming -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu. https://bugs.launchpad.net/bugs/1832370 Title: Unable to configure or disable TLS 1.3 via openssl.cnf Status in openssl

[Touch-packages] [Bug 1832110] Re: Resource Sharing with multiple sshd services

2019-06-14 Thread Luke A. Perkins
This is the git diff of sshd.c ** Patch added: "sshd.c.diff" https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1832110/+attachment/5270821/+files/sshd.c.diff -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssh

[Touch-packages] [Bug 1832370] Re: Unable to configure or disable TLS 1.3 via openssl.cnf

2019-06-14 Thread Francis Ginther
** Tags added: id-5d0269c526b1af4a5c615490 -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu. https://bugs.launchpad.net/bugs/1832370 Title: Unable to configure or disable TLS 1.3 via openssl.cnf Status in

[Touch-packages] [Bug 1832421] Re: openssl reboot needed message using incorrect path to X server

2019-06-14 Thread Dimitri John Ledkov
** Description changed: + [Impact] + + * On desktop, upgrading libssl1.1 does not show reboot required + notification + + [Test Case] + + * Boot ubuntu desktop + * Upgrade libssl1.1 + * Observe reboot notification pop-up from update-notifier + + [Regression Potential] + + * Tweaking

[Touch-packages] [Bug 1829718] Re: Network printers (cups-browsed) disappear after each CUPS update on client side

2019-06-14 Thread MichaelB
Just a few more information about this issue. This is the cups-browsed's state just after a cups update... is dead... root@foo-ubuntu:/home/foo# service cups-browsed status ● cups-browsed.service - Make remote CUPS printers available locally Loaded: loaded

[Touch-packages] [Bug 1798369] Re: Reinstall Ubuntu (with preserving existing data) shows error message due to "Could not get lock /target/var/cache/apt/archives/lock"

2019-06-14 Thread Mathieu Trudel-Lapierre
** Tags removed: rls-ee-incoming -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to apt in Ubuntu. https://bugs.launchpad.net/bugs/1798369 Title: Reinstall Ubuntu (with preserving existing data) shows error message due to

[Touch-packages] [Bug 1832659] Re: openssl 1.1.1-1ubuntu2.1~18.04.1 contains upstream bug 7350

2019-06-14 Thread Dimitri John Ledkov
** Description changed: + [Impact] + + * Regression was introduced in OpenSSL 1.1.1 and fixed in 1.1.1b that prevents initialising libcrypto/libssl multiple times, and/or with different options. + * This breaks existing applications that correctly use init API, ie. initialise libcrypto

[Touch-packages] [Bug 1832865] Re: gnome-shell crashes on g_str_hash -> g_hash_table_hash_to_index -> g_hash_table_lookup_node -> g_hash_table_lookup -> update_user

2019-06-14 Thread Treviño
Not a gnome-shell issue, but an accountsservice one. ** Summary changed: - /usr/bin/gnome-shell:11:g_str_hash:g_hash_table_hash_to_index:g_hash_table_lookup_node:g_hash_table_lookup:update_user + gnome-shell crashes on g_str_hash -> g_hash_table_hash_to_index -> g_hash_table_lookup_node ->

[Touch-packages] [Bug 1832659] Re: openssl 1.1.1-1ubuntu2.1~18.04.1 contains upstream bug 7350

2019-06-14 Thread Dimitri John Ledkov
** Attachment added: "test_multiple_libssl_libcrypto_init.py" https://bugs.launchpad.net/ubuntu/cosmic/+source/openssl/+bug/1832659/+attachment/5270782/+files/test_multiple_libssl_libcrypto_init.py -- You received this bug notification because you are a member of Ubuntu Touch seeded

[Touch-packages] [Bug 1832802] Re: disco: curl error while loading shared libraries: libssl.so.1.0.0

2019-06-14 Thread Tom Reynolds
*** This bug is a duplicate of bug 1832801 *** https://bugs.launchpad.net/bugs/1832801 ** This bug has been marked a duplicate of bug 1832801 disco: curl error while loading shared libraries: libssl.so.1.0.0 -- You received this bug notification because you are a member of Ubuntu Touch

[Touch-packages] [Bug 1832370] Re: Unable to configure or disable TLS 1.3 via openssl.cnf

2019-06-14 Thread Simon Déziel
@xnox, thanks it was indeed an error on my part. The key was to have openssl_conf in the default/unnamed section and then not introduce bogus values: Ciphers is not recognized and causes the config section to be ignored. I believe this bug could be marked as Invalid for all the releases but I'll

[Touch-packages] [Bug 1832659] Re: openssl 1.1.1-1ubuntu2.1~18.04.1 contains upstream bug 7350

2019-06-14 Thread Dimitri John Ledkov
** Attachment removed: "test_multiple_libssl_libcrypto_init.py" https://bugs.launchpad.net/ubuntu/cosmic/+source/openssl/+bug/1832659/+attachment/5270782/+files/test_multiple_libssl_libcrypto_init.py ** Attachment added: "test_multiple_libssl_libcrypto_init.py"

[Touch-packages] [Bug 1832421] Re: openssl reboot needed message using incorrect path to X server

2019-06-14 Thread Dimitri John Ledkov
** Description changed: [Impact] - * On desktop, upgrading libssl1.1 does not show reboot required +  * On desktop, upgrading libssl1.1 does not show reboot required notification [Test Case] - * Boot ubuntu desktop - * Upgrade libssl1.1 - * Observe reboot notification pop-up

[Touch-packages] [Bug 1382054] Re: Add support for configuring VLAN interfaces in the initrd

2019-06-14 Thread Dimitri John Ledkov
** Changed in: initramfs-tools (Ubuntu) Status: Confirmed => Fix Committed -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu. https://bugs.launchpad.net/bugs/1382054 Title: Add support for

Re: [Touch-packages] [Bug 1832110] Re: Resource Sharing with multiple sshd services

2019-06-14 Thread Robie Basak
On Fri, Jun 14, 2019 at 04:02:10PM -, Luke A. Perkins wrote: > When I compile this version of the code, the privilege > separation directory is defined as "/var/empty" which would solve the > problem. Why/how would this solve the problem? > So, which git repository should I use to

Re: [Touch-packages] [Bug 1832110] Re: Resource Sharing with multiple sshd services

2019-06-14 Thread Robie Basak
You're going round in circles. Let's take a step back. Please assume that Ubuntu does not want to make any change right now because no change is currently considered justified. An open question here is if Ubuntu's patches on upstream are creating any problem that you're reporting. That's why I'm

[Touch-packages] [Bug 1832903] [NEW] 18.04.2 login screen doesn't work if it uses 'wayland' and if video kernel driver is 'vgwfx' kernel driver

2019-06-14 Thread Eric Desrochers
Public bug reported: After an upgrade from xenial to 18.04.2 OR 18.04.1 to 18.04.2 ,the login screen doesn't work if 'Wayland' is in use (default) and if video kernel driver is 'vgwfx'. It looks like the login screen got stuck, doesn't exit, and doesn't fallback to 'x11' by itself in case of

[Touch-packages] [Bug 1750051] Re: cron doesn't support MAILFROM

2019-06-14 Thread elatllat
CentOS 8 is not out yet so Ubuntu 18.04 is the best LTS for servers at the moment ... except for bugs like this. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to cron in Ubuntu. https://bugs.launchpad.net/bugs/1750051 Title:

[Touch-packages] [Bug 1781746] Re: [SRU] Slow startup with zram-config installed (/dev/zram0) or encrypted swap

2019-06-14 Thread Mathieu Trudel-Lapierre
** Also affects: initramfs-tools (Ubuntu Bionic) Importance: Undecided Status: New ** Changed in: initramfs-tools (Ubuntu) Status: Confirmed => Fix Released ** Changed in: initramfs-tools (Ubuntu Bionic) Status: New => Triaged ** Tags removed: rls-ee-incoming ** Tags

[Touch-packages] [Bug 1759008] Re: Revert automatic suspend by default for bionic?

2019-06-14 Thread Mikko Rantalainen
Still broken with MATE desktop on Ubuntu 18.04.2 LTS. If I run mate- power-preferences and select ON AC Power - Put computer to sleep when inactive for: [never] the computer still automatically sleeps (enters S3) after 20 minutes. $ grep -C1 sleep-inactive-ac-timeout

[Touch-packages] [Bug 1803601] Re: motd-news.service scheduled even when /etc/update-motd.d/50-motd-news is not executable

2019-06-14 Thread Brian Murray
** Tags added: bionic bitsize eoan ** Tags removed: bitsize ** Tags added: bitesize ** Changed in: base-files (Ubuntu) Importance: Undecided => Low -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to base-files in Ubuntu.

[Touch-packages] [Bug 1832903] Missing required logs.

2019-06-14 Thread Ubuntu Kernel Bot
This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window: apport-collect 1832903 and then change the status of the bug to 'Confirmed'. If, due to the

[Touch-packages] [Bug 1832370] Re: Unable to configure or disable TLS 1.3 via openssl.cnf

2019-06-14 Thread Ubuntu Foundations Team Bug Bot
** Tags added: patch -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu. https://bugs.launchpad.net/bugs/1832370 Title: Unable to configure or disable TLS 1.3 via openssl.cnf Status in openssl package in

[Touch-packages] [Bug 1756595] Re: disk space info inadvertently provides all installed snaps

2019-06-14 Thread Brian Murray
** Also affects: apt (Ubuntu Eoan) Importance: Medium Status: Fix Committed ** Also affects: apport (Ubuntu Eoan) Importance: Undecided Status: Invalid ** Tags removed: rls-ee-incoming -- You received this bug notification because you are a member of Ubuntu Touch seeded

[Touch-packages] [Bug 1832522] Re: openssl maintainer scripts do not trigger services restart

2019-06-14 Thread Steve Langasek
Hello Dimitri, or anyone else affected, Accepted openssl into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1b- 1ubuntu2.3 in a few hours, and then in the -proposed repository. Please help us by testing this new package. See

[Touch-packages] [Bug 1832421] Please test proposed package

2019-06-14 Thread Steve Langasek
Hello Seth, or anyone else affected, Accepted openssl into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1-1ubuntu2.4 in a few hours, and then in the -proposed repository. Please help us by testing this new package. See

[Touch-packages] [Bug 1832522] Please test proposed package

2019-06-14 Thread Steve Langasek
Hello Dimitri, or anyone else affected, Accepted openssl into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1-1ubuntu2.4 in a few hours, and then in the -proposed repository. Please help us by testing this new package. See

[Touch-packages] [Bug 1832421] Re: openssl reboot needed message using incorrect path to X server

2019-06-14 Thread Steve Langasek
Hello Seth, or anyone else affected, Accepted openssl into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1b- 1ubuntu2.3 in a few hours, and then in the -proposed repository. Please help us by testing this new package. See

[Touch-packages] [Bug 1832659] Re: openssl 1.1.1-1ubuntu2.1~18.04.1 contains upstream bug 7350

2019-06-14 Thread Steve Langasek
Hello Steve, or anyone else affected, Accepted openssl into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1-1ubuntu2.4 in a few hours, and then in the -proposed repository. Please help us by testing this new package. See

[Touch-packages] [Bug 1832659] Re: openssl 1.1.1-1ubuntu2.1~18.04.1 contains upstream bug 7350

2019-06-14 Thread Steve Langasek
Hello Steve, or anyone else affected, Accepted openssl into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1-1ubuntu2.1~18.04.3 in a few hours, and then in the -proposed repository. Please help us by testing this new package. See

[Touch-packages] [Bug 1832421] Re: openssl reboot needed message using incorrect path to X server

2019-06-14 Thread Steve Langasek
Hello Seth, or anyone else affected, Accepted openssl into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openssl/1.1.1-1ubuntu2.1~18.04.3 in a few hours, and then in the -proposed repository. Please help us by testing this new package. See

[Touch-packages] [Bug 1832110] Re: Resource Sharing with multiple sshd services

2019-06-14 Thread Luke A. Perkins
My recommmendation moving forward. 1) If Ubuntu wants to move the privilege separation directory from /var/empty to /run/sshd, then there needs to be a command-line option for the sshd to adjust the location of the privilege separation directory. 2) If Ubuntu keeps the privilege separation

[Touch-packages] [Bug 1832370] Re: Unable to configure or disable TLS 1.3 via openssl.cnf

2019-06-14 Thread Dimitri John Ledkov
** Changed in: openssl (Ubuntu Bionic) Status: Incomplete => Invalid ** Changed in: openssl (Ubuntu Cosmic) Status: Incomplete => Invalid ** Changed in: openssl (Ubuntu Disco) Status: Incomplete => Invalid ** Changed in: openssl (Ubuntu Eoan) Status: Incomplete =>

[Touch-packages] [Bug 1818527] Re: Stub resolver cache is corrupted

2019-06-14 Thread Heitor Alves de Siqueira
Verified for Bionic: ubuntu@bionic:~$ dpkg -l | grep systemd ii systemd 237-3ubuntu10.23 amd64system and service manager ubuntu@bionic:~$ systemd-resolve --flush-caches ubuntu@bionic:~$ dig +noall +answer github.com CNAME

[Touch-packages] [Bug 1832865] Re: gnome-shell crashes on g_str_hash -> g_hash_table_hash_to_index -> g_hash_table_lookup_node -> g_hash_table_lookup -> update_user

2019-06-14 Thread Bug Watch Updater
** Changed in: accountsservice Status: Unknown => New -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to accountsservice in Ubuntu. https://bugs.launchpad.net/bugs/1832865 Title: gnome-shell crashes on g_str_hash ->

[Touch-packages] [Bug 1832882] [NEW] libcurl-gnutls segfaults spotify client

2019-06-14 Thread mrvanes
Public bug reported: The latest release of Spotify client segfaults in libcurl-gnutls as can be read in this thread on spotify support forum: https://community.spotify.com/t5/Desktop-Linux/Ubuntu-19-04-deb-package-segfault/td-p/4761479 According to one participant the work-around is to install

[Touch-packages] [Bug 1832886] [NEW] 50-motd-news always called with --force

2019-06-14 Thread Brian Murray
Public bug reported: I was looking at the motd-news.service file and 50-motd-news recently and discovered that 50-motd-news is always called with --force. bdmurray@clean-disco-amd64:~$ systemctl cat motd-news.service # /lib/systemd/system/motd-news.service [Unit] Description=Message of the Day

[Touch-packages] [Bug 1832886] Re: 50-motd-news always called with --force

2019-06-14 Thread Steve Langasek
No. The --force option is passed when called from the service. It is NOT passed when the script is called via update-motd during login. ** Changed in: base-files (Ubuntu) Status: New => Invalid -- You received this bug notification because you are a member of Ubuntu Touch seeded

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status

2019-06-14 Thread Stephen Davidson
During system upgrade: sudo apt-get upgrade Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done The following packages will be upgraded: firefox firefox-locale-en gir1.2-xapp-1.0 libxapp1 openssl xapps-common 6 upgraded, 0

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

2019-06-14 Thread Amine Raounak
** Summary changed: - installed libssl1.1:amd64 package post-installation script subprocess returned error exit status + installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10 -- You received this bug notification because you are a member of Ubuntu

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

2019-06-14 Thread Dimitri John Ledkov
Can you please paste the output of below two commands: debconf-get-selections | grep restart-without-asking dpkg-query -W libc6 -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu.

[Touch-packages] [Bug 1832903] Re: 18.04.2 login screen doesn't work if it uses 'wayland' and if video kernel driver is 'vgwfx' kernel driver

2019-06-14 Thread Eric Desrochers
I was able to reproduce the problem with 4.15.0-51, but problem seems to be gone using the hwe kernel 4.18.0-21-generic. I'll do a kernel bisection and try to find the commit which fixes the situation. I'll also ask another impacted user to confirm if v4.18 works fine too, to double-check my

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

2019-06-14 Thread Stephen Davidson
Note: My system in question is an x86_64 (Intel CPU) so not sure why AMD packages are showing up here. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu. https://bugs.launchpad.net/bugs/1832919 Title:

[Touch-packages] [Bug 1832421] Re: openssl reboot needed message using incorrect path to X server

2019-06-14 Thread Seth Arnold
I'm not sure how to do SRU verification on this update. I don't know a set of steps to take to see the update notification when running X11. Upgrading and downgrading among several packages did NOT show the update notification: sarnold@hunt:/tmp$ sudo dpkg -i

[Touch-packages] [Bug 1824647] Re: Recurrent, annoying clicking sound but not showing any notifications

2019-06-14 Thread Launchpad Bug Tracker
[Expired for alsa-driver (Ubuntu) because there has been no activity for 60 days.] ** Changed in: alsa-driver (Ubuntu) Status: Incomplete => Expired -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to alsa-driver in

[Touch-packages] [Bug 1815089] Re: 100% CPU / usr / lib / tracker / tracker-extract

2019-06-14 Thread Launchpad Bug Tracker
[Expired for tracker (Ubuntu) because there has been no activity for 60 days.] ** Changed in: tracker (Ubuntu) Status: Incomplete => Expired -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to tracker in Ubuntu.

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

2019-06-14 Thread Seth Arnold
Stephen, AMD invented the 64 bit extensions to the x86 instruction set and brought their processors to market well before Intel brought theirs to market. Thus AMD won a huge amount of name recognition. Debian standardized on "amd64" to name packages for the architecture many years ago. Thanks --

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

2019-06-14 Thread Dimitri John Ledkov
** Description changed: The error happens when trying to configure libssl1.1:amd64 (dpkg --configure -D 2 libssl1.1) dpkg: error processing package libssl1.1:amd64 (--configure): - installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

[Touch-packages] [Bug 1825448] Proposed package upload rejected

2019-06-14 Thread Steve Langasek
An upload of gnupg to xenial-proposed has been rejected from the upload queue for the following reason: "fixing tests only does not fit the SRU policy". -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnupg in Ubuntu.

[Touch-packages] [Bug 1825186] Proposed package upload rejected

2019-06-14 Thread Steve Langasek
An upload of gnupg to xenial-proposed has been rejected from the upload queue for the following reason: "fixing tests only does not fit the SRU policy". -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnupg in Ubuntu.

[Touch-packages] [Bug 1825856] Proposed package upload rejected

2019-06-14 Thread Steve Langasek
An upload of gnupg to xenial-proposed has been rejected from the upload queue for the following reason: "fixing tests only does not fit the SRU policy". -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnupg in Ubuntu.

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status

2019-06-14 Thread Amine Raounak
Version 1.1.1-1ubuntu2.1~18.04.2 -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu. https://bugs.launchpad.net/bugs/1832919 Title: installed libssl1.1:amd64 package post-installation script subprocess

[Touch-packages] [Bug 1832919] [NEW] installed libssl1.1:amd64 package post-installation script subprocess returned error exit status

2019-06-14 Thread Amine Raounak
Public bug reported: The error happens when trying to configure libssl1.1:amd64 (dpkg --configure -D 2 libssl1.1) dpkg: error processing package libssl1.1:amd64 (--configure): installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10 D02:

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

2019-06-14 Thread Amine Raounak
@Dimitri sudo debconf-get-selections | grep restart-without-asking yeilds no output and returns code 1 sudo dpkg-query -W libc6 yields libc6:amd64 2.27-3ubuntu1 -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in

[Touch-packages] [Bug 1832333] Re: There is no firejail-default profile in Ubuntu

2019-06-14 Thread Richard Baka
OK. Could you try it on disco? -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to apparmor in Ubuntu. https://bugs.launchpad.net/bugs/1832333 Title: There is no firejail-default profile in Ubuntu Status in AppArmor: New

[Touch-packages] [Bug 1832659] Re: openssl 1.1.1-1ubuntu2.1~18.04.1 contains upstream bug 7350

2019-06-14 Thread Steve Wills
Hi, The package version 1.1.1-1ubuntu2.1~18.04.3 does fix it for me, thanks! -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu. https://bugs.launchpad.net/bugs/1832659 Title: openssl

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status

2019-06-14 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users. ** Changed in: openssl (Ubuntu) Status: New => Confirmed -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu.

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

2019-06-14 Thread Dimitri John Ledkov
if `db_get libraries/restart-without-asking` fails with exit code 10, it means this templates is not in the debconf database. However, libc6 should be installed and configured on the system, with that template registered. I wonder, if your debconf database is corrupted / destroyed? Does $

[Touch-packages] [Bug 1832919] Re: installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

2019-06-14 Thread Amine Raounak
sudo dpkg-reconfigure libc6 sudo dpkg-reconfigure libssl1.1 yields no errors Thanks -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu. https://bugs.launchpad.net/bugs/1832919 Title: installed

[Touch-packages] [Bug 1832822] [NEW] functionality stopped working (extra new_oids policy)

2019-06-14 Thread Gerben
Public bug reported: Unable to generate certificate request targeting new_oids policy. It used to work on this machine, looks like openssl got updated just few days ago: 12-06-2019 The command and exit result: gge@itstools-04:~/ssl_ownca/direct_1$ openssl req -new -key direct_1.key -out

[Touch-packages] [Bug 1832370] Re: Unable to configure or disable TLS 1.3 via openssl.cnf

2019-06-14 Thread Dimitri John Ledkov
I have started bionic lxd container with nginx and snakeoil certificates. # patch /etc/ssl/openssl.cnf cap-to-tls1.2.patch patching file /etc/ssl/openssl.cnf Hunk #1 succeeded at 16 (offset 1 line). Hunk #2 succeeded at 353 (offset 2 lines). # systemctl restart nginx And connect from the host

[Touch-packages] [Bug 1832370] Re: Unable to configure or disable TLS 1.3 via openssl.cnf

2019-06-14 Thread Dimitri John Ledkov
** Patch added: "reorder-tls1.3-ciphersuites.patch" https://bugs.launchpad.net/ubuntu/bionic/+source/openssl/+bug/1832370/+attachment/5270754/+files/reorder-tls1.3-ciphersuites.patch -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is

[Touch-packages] [Bug 1832370] Re: Unable to configure or disable TLS 1.3 via openssl.cnf

2019-06-14 Thread Dimitri John Ledkov
** Patch added: "cap-to-tls1.2.patch" https://bugs.launchpad.net/ubuntu/bionic/+source/openssl/+bug/1832370/+attachment/5270755/+files/cap-to-tls1.2.patch -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to openssl in Ubuntu.

[Touch-packages] [Bug 1829566] Re: network-manager 1.10.14-0ubuntu2 ignores systemd-resolved configured dns

2019-06-14 Thread mzmrk
I have some extra information that might lead you into the right direction. I used the following extra line in my openvpn connection config file (/etc/NetworkManager/system-connections/vpn_connection_name): [ipv4] dns-priority=-1 After the update DNS received from OpenVPN connection was not

[Touch-packages] [Bug 1829566] Re: network-manager 1.10.14-0ubuntu2 ignores systemd-resolved configured dns

2019-06-14 Thread mzmrk
Some clarification: 1. dns-priority=-1 used to work (openvpn had highest DNS priority over other connections) before the regression happend. 2. I rebooted my system after changing config to dns-search=~ -- You received this bug notification because you are a member of Ubuntu Touch seeded

[Touch-packages] [Bug 1832834] [NEW] Irregular system freezes after updating to 1.1.1b-1ubuntu2.2

2019-06-14 Thread Markus Birth
Public bug reported: Yesterday, I've updated openssl on my Raspberry Pi 3B+ running disco arm64 from 1.1.1b-1ubuntu2.1 to 1.1.1b-1ubuntu2.2 . That was at 10:41 CEST. About 12:36 the system froze. I was able to reset the system at around 17:17. It froze again at around 17:55. Reset it again 19:09,